Bug 258841 - Don't OnlyShowIn
Don't OnlyShowIn
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 22:12 EDT by Matthias Clasen
Modified: 2008-03-06 23:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 23:32:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-08-27 22:12:52 EDT
There have recently been some complaints about the amount of
OnlyShowIn=GNOME; in our desktop files. The games are really just
applications and have no strong reason to be restricted in that way.
Comment 1 Hans de Goede 2007-08-28 03:30:06 EDT
I disagree, we do not add OnlyShowIn to all desktop files, we only add it to
"standard" games like patience and minesweeper, which are present in other
(atleast KDE) desktop environments too in a desktop specialized version.

Ray, what do you think about this?
Comment 2 Ray Strode [halfline] 2007-08-28 09:46:42 EDT
hmm, not sure off hand.

I mean, I think we really want those games to not show up by default (like now).
 I don't have any a very strong opinion on whether they should be toggleable
from the menu editor or not.

If someone does have a strong opinion that they should be toggleable from the
menu editor then we may want to accommodate them.  Assuming someone does have a
strong opinion, how we accommodate them is up in the air.  

Maybe a better solution would be menu editor changes.  not sure. One thing I'm
pretty sure of though.  There is no good reason we should make this different
from upstream.  If we remove OnlyShowIn=GNOME; then we should get upstream to do
the same.
Comment 3 Matthias Clasen 2007-08-28 09:51:45 EDT
I think "standard games" is a pretty dubious categorisation. And as you already
noticed (by saying "at leat"), using OnlyShowIn drops the baby with the bathwater.
If anything it would have to be NotShowIn=KDE.

I don't think upstream has OnlyShowIn=GNOME, Ray. 
Comment 4 Ray Strode [halfline] 2007-08-28 09:55:48 EDT
If upstream doesn't have OnlyShowIn=GNOME, then we should just drop it.

Note You need to log in before you can comment on or make changes to this bug.